import React from 'react';
import type { ItemAction } from '@mongodb-js/compass-components';
export declare function NavigationItem<Actions extends string>({ isExpanded, onAction, onClick: onButtonClick, glyph, label, actions, isActive, showTooManyCollectionsInsight, disabled: isButtonDisabled, disabledMessage: buttonDisabledMessage, }: {
    isExpanded?: boolean;
    onAction(actionName: Actions, ...rest: any[]): void;
    onClick(): void;
    glyph: string;
    label: string;
    actions?: ItemAction<Actions>[];
    isActive: boolean;
    showTooManyCollectionsInsight?: boolean;
    disabled?: boolean;
    disabledMessage?: string;
}): JSX.Element;
export declare function NavigationItems({ isReady, isExpanded, showCreateDatabaseAction, isPerformanceTabSupported, onFilterChange, onAction, currentLocation, currentNamespace, showTooManyCollectionsInsight, }: {
    isReady?: boolean;
    isExpanded?: boolean;
    showCreateDatabaseAction: boolean;
    isPerformanceTabSupported: boolean;
    onFilterChange(regex: RegExp | null): void;
    onAction(actionName: string, ...rest: any[]): void;
    currentLocation: string | null;
    currentNamespace: string | null;
    showTooManyCollectionsInsight?: boolean;
}): JSX.Element;
declare const MappedNavigationItems: React.FunctionComponent<Omit<{
    onAction: (actionName: string, ...rest: any[]) => void;
    isExpanded?: boolean | undefined;
    currentLocation: string | null;
    currentNamespace: string | null;
    readOnly: boolean;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
} & {
    children?: React.ReactNode;
}, "readOnly"> & Partial<Pick<{
    onAction: (actionName: string, ...rest: any[]) => void;
    isExpanded?: boolean | undefined;
    currentLocation: string | null;
    currentNamespace: string | null;
    readOnly: boolean;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
} & {
    children?: React.ReactNode;
}, "readOnly">>>;
export default MappedNavigationItems;
//# sourceMappingURL=navigation-items.d.ts.map