import type { MongoDBInstance } from 'mongodb-instance-model';
import type { RootAction, SidebarThunkAction } from '.';
export declare const CHANGE_FILTER_REGEX: "sidebar/databases/CHANGE_FILTER_REGEX";
interface ChangeFilterRegexAction {
    type: typeof CHANGE_FILTER_REGEX;
    filterRegex: null | RegExp;
}
export declare const CHANGE_DATABASES: "sidebar/databases/CHANGE_DATABASES";
interface ChangeDatabasesAction {
    type: typeof CHANGE_DATABASES;
    databases: Database[];
}
export declare const TOGGLE_DATABASE: "sidebar/databases/TOGGLE_DATABASE";
interface ToggleDatabaseAction {
    type: typeof TOGGLE_DATABASE;
    id: string;
    expanded: boolean;
}
export type DatabasesAction = ChangeFilterRegexAction | ChangeDatabasesAction | ToggleDatabaseAction;
export declare const NO_ACTIVE_NAMESPACE = "";
type DatabaseRaw = MongoDBInstance['databases'][number];
export type Database = Pick<DatabaseRaw, '_id' | 'name' | 'collectionsStatus' | 'collectionsLength'> & {
    collections: Pick<DatabaseRaw['collections'][number], '_id' | 'name' | 'type' | 'sourceName' | 'pipeline'>[];
};
export interface DatabaseState {
    databases: Database[];
    filteredDatabases: Database[];
    expandedDbList: Record<string, boolean>;
    filterRegex: null | RegExp;
}
export declare const INITIAL_STATE: DatabaseState;
export default function reducer(state: DatabaseState | undefined, action: RootAction): DatabaseState;
export declare const changeDatabases: (databases: Database[]) => {
    type: "sidebar/databases/CHANGE_DATABASES";
    databases: Database[];
};
export declare const toggleDatabaseExpanded: (id: string, forceExpand: boolean) => SidebarThunkAction<void, DatabasesAction>;
export declare const changeFilterRegex: (filterRegex: RegExp | null) => SidebarThunkAction<void, DatabasesAction>;
export {};
//# sourceMappingURL=databases.d.ts.map