import type { Action, AnyAction } from 'redux';
import type { DatabaseState, DatabasesAction } from './databases';
import type { InstanceAction, InstanceState } from './instance';
import type { IsDetailsExpandedState, ToggleIsDetailsExpandedAction } from './is-details-expanded';
import type { IsGenuineMongoDBVisibleAction, IsGenuineMongoDBVisibleState } from './is-genuine-mongodb-visible';
import type { ConnectionInfoAction, ConnectionInfoState } from './connection-info';
import type { ConnectionOptionsAction, ConnectionOptionsState } from './connection-options';
import type { IsExpandedAction, IsExpandedState } from './is-expanded';
import type { AppRegistry } from 'hadron-app-registry';
import type { DataServiceAction, DataServiceState } from './data-service';
import type { IsPerformanceTabSupportedState, SetIsPerformanceTabSupportedAction } from './is-performance-tab-supported';
import type { ThunkAction } from 'redux-thunk';
export interface RootState {
    dataService: DataServiceState;
    connectionInfo: ConnectionInfoState;
    connectionOptions: ConnectionOptionsState;
    databases: DatabaseState;
    instance: InstanceState;
    isDetailsExpanded: IsDetailsExpandedState;
    isGenuineMongoDBVisible: IsGenuineMongoDBVisibleState;
    isExpanded: IsExpandedState;
    isPerformanceTabSupported: IsPerformanceTabSupportedState;
}
export type RootAction = ConnectionInfoAction | ConnectionOptionsAction | DatabasesAction | InstanceAction | ToggleIsDetailsExpandedAction | IsGenuineMongoDBVisibleAction | IsExpandedAction | DataServiceAction | SetIsPerformanceTabSupportedAction;
export type SidebarThunkAction<R, A extends Action = AnyAction> = ThunkAction<R, RootState, {
    globalAppRegistry: AppRegistry;
}, A>;
declare const reducer: import("redux").Reducer<import("redux").CombinedState<RootState>, RootAction>;
export default reducer;
//# sourceMappingURL=index.d.ts.map